## jline
Class ArgumentCompletor.WhitespaceArgumentDelimiter

    java.lang.Object
      jline.ArgumentCompletor.AbstractArgumentDelimiter
          jline.ArgumentCompletor.WhitespaceArgumentDelimiter

All Implemented Interfaces:
  ArgumentCompletor.ArgumentDelimiter

Enclosing class:
  ArgumentCompletor

public static class ArgumentCompletor.WhitespaceArgumentDelimiter
extends ArgumentCompletor.AbstractArgumentDelimiter

`ArgumentCompletor.ArgumentDelimiter` implementation that counts all whitespace (as reported by `Character.isWhitespace(char)`) as being a delimiter.

Author:
  Marc Prud'hommeaux

Constructor Summary
`ArgumentCompletor.WhitespaceArgumentDelimiter()`

Method Summary
`boolean` `isDelimiterChar(String buffer, int pos)` The character is a delimiter if it is whitespace, and the preceeding character is not an escape character.

Methods inherited from class jline.ArgumentCompletor.AbstractArgumentDelimiter
`delimit, getEscapeChars, getQuoteChars, isDelimiter, isEscaped, isQuoted, setEscapeChars, setQuoteChars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgumentCompletor.WhitespaceArgumentDelimiter

    public ArgumentCompletor.WhitespaceArgumentDelimiter()

Method Detail

### isDelimiterChar

    public boolean isDelimiterChar(String buffer,
                                   int pos)

  The character is a delimiter if it is whitespace, and the preceeding character is not an escape character.

  Specified by:
    `isDelimiterChar` in class `ArgumentCompletor.AbstractArgumentDelimiter`

Released under the terms of the BSD license